Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory.jca
Class MapManagedConnection

    java.lang.Object
      org.apache.commons.transaction.memory.jca.MapManagedConnection

All Implemented Interfaces:
  ManagedConnection

public class MapManagedConnection
extends Object
implements ManagedConnection

Version:
  $Revision$

Field Summary
`protected MapConnection` | `connection`
`protected List` | `listeners`
`protected PrintWriter` | `out`

Constructor Summary
`MapManagedConnection(ConnectionRequestInfo cxRequestInfo)`

Method Summary
`void` | `addConnectionEventListener(ConnectionEventListener listener)`
`void` | `associateConnection(Object connection)`
`void` | `cleanup()`
`void` | `close()`
`void` | `destroy()`
`Object` | `getConnection(Subject subject, ConnectionRequestInfo cxRequestInfo)`
`LocalTransaction` | `getLocalTransaction()`
`PrintWriter` | `getLogWriter()`
`ManagedConnectionMetaData` | `getMetaData()`
`XAResource` | `getXAResource()`
`void` | `removeConnectionEventListener(ConnectionEventListener listener)`
`void` | `setLogWriter(PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    protected MapConnection connection

### listeners

    protected List listeners

### out

    protected PrintWriter out

Constructor Detail

### MapManagedConnection

    public MapManagedConnection(ConnectionRequestInfo cxRequestInfo)

Method Detail

### close

    public void close()

### getConnection

    public Object getConnection(Subject subject,
                                ConnectionRequestInfo cxRequestInfo)
                         throws ResourceException

  Specified by:
    `getConnection` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.getConnection(Subject, ConnectionRequestInfo)`

### destroy

    public void destroy()
                 throws ResourceException

  Specified by:
    `destroy` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.destroy()`

### cleanup

    public void cleanup()
                 throws ResourceException

  Specified by:
    `cleanup` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.cleanup()`

### associateConnection

    public void associateConnection(Object connection)
                             throws ResourceException

  Specified by:
    `associateConnection` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.associateConnection(Object)`

### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener listener)

  Specified by:
    `addConnectionEventListener` in interface `ManagedConnection`
  See Also:
    `ManagedConnection.addConnectionEventListener(ConnectionEventListener)`

### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener listener)

  Specified by:
    `removeConnectionEventListener` in interface `ManagedConnection`
  See Also:
    `ManagedConnection.removeConnectionEventListener(ConnectionEventListener)`

### getXAResource

    public XAResource getXAResource()
                             throws ResourceException

  Specified by:
    `getXAResource` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.getXAResource()`

### getLocalTransaction

    public LocalTransaction getLocalTransaction()
                                         throws ResourceException

  Specified by:
    `getLocalTransaction` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.getLocalTransaction()`

### getMetaData

    public ManagedConnectionMetaData getMetaData()
                                          throws ResourceException

  Specified by:
    `getMetaData` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.getMetaData()`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws ResourceException

  Specified by:
    `setLogWriter` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.setLogWriter(PrintWriter)`

### getLogWriter

    public PrintWriter getLogWriter()
                             throws ResourceException

  Specified by:
    `getLogWriter` in interface `ManagedConnection`
  Throws:
    `ResourceException`
  See Also:
    `ManagedConnection.getLogWriter()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.